# https://files.pythonhosted.org/packages/6c/dd/4d4f1ad1158830b364beee70cb59f651018f36de24da80e52e47f80bc19f/ndg_httpsclient-0.4.4.tar.gz
%define module ndg-httpsclient

Name:           python-%{module}
Version:        0.4.4
Release:        %mkrel 2
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL

Source0:        ndg_httpsclient-%{version}.tar.xz

License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/ndg-httpsclient
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-pyasn1
BuildRequires:  python-pyopenssl
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pyasn1
BuildRequires:  python3-pyopenssl
BuildRequires:  python3-setuptools
Requires:       python-pyasn1
Requires:       python-pyopenssl

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-pyasn1
Requires:       python3-pyopenssl

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn ndg_httpsclient-%{version}
rm -rf ndg_httpsclient.egg-info
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
pushd %{buildroot}%{_bindir}
mv ndg_httpclient python3-ndg_httpclient
ln -sf python3-ndg_httpclient ndg_httpclient3
popd
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc ndg/httpsclient/LICENSE PKG-INFO README.md
%{_bindir}/ndg_httpclient
%{python2_sitelib}/*

%files -n python3-%{module}
%doc ndg/httpsclient/LICENSE PKG-INFO README.md
%{_bindir}/python3-ndg_httpclient
%{_bindir}/ndg_httpclient3
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.4.4-2pclos2022
- rebuild against updates

* Fri Apr 20 2018 marcin82 <fixxer1982 at gmail.com> 0.4.4-1pclos2018
- initial build for PCLinuxOS
